Bug 20977

Summary: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc
Product: Koha Reporter: Kyle M Hall <kyle>
Component: TemplatesAssignee: Kyle M Hall <kyle>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: major    
Priority: P5 - low CC: barton, fridolin.somers, jonathan.druart+koha, martin.renvoize, nick, pierre-luc.lapointe
Version: unspecified   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 17893    
Bug Blocks: 20979    
Attachments: Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc
Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc
Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc

Description Kyle M Hall 2018-06-21 15:11:11 UTC
The naming mismatch can cause javascript errors.
Comment 1 Kyle M Hall 2018-06-21 15:12:42 UTC
Created attachment 76238 [details] [review]
Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc

The naming mismatch can cause javascript errors.

Test Plan:
1) Confirm the string vars used in catalog.js match the ones in
   catalog-strings.inc
Comment 2 Pierre-Luc Lapointe 2018-06-29 18:33:06 UTC
Created attachment 76582 [details] [review]
Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc

The naming mismatch can cause javascript errors.

Test Plan:
1) Confirm the string vars used in catalog.js match the ones in
   catalog-strings.inc

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>
Comment 3 Katrin Fischer 2018-07-01 21:07:05 UTC
Created attachment 76607 [details] [review]
Bug 20977: Javascript vars used in confirm_deletion in catalog.js do not match strings in catalog-strings.inc

The naming mismatch can cause javascript errors.

Test Plan:
1) Confirm the string vars used in catalog.js match the ones in
   catalog-strings.inc

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-07-02 13:14:45 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-02 16:56:39 UTC
Pushed to 18.05.x for 18.05.02
Comment 6 Fridolin Somers 2018-07-04 14:05:51 UTC
Depends on Bug 17893 not in 17.11.x
Comment 7 Barton Chittenden 2018-07-10 17:44:29 UTC
(In reply to Fridolin SOMERS from comment #6)
> Depends on Bug 17893 not in 17.11.x

This *is* broken in 17.11.x, do we need a separate patch for that?
Comment 8 Fridolin Somers 2018-07-11 14:12:05 UTC
(In reply to Barton Chittenden from comment #7)
> (In reply to Fridolin SOMERS from comment #6)
> > Depends on Bug 17893 not in 17.11.x
> 
> This *is* broken in 17.11.x, do we need a separate patch for that?

Ok sorry, I will try to rebase
Comment 9 Fridolin Somers 2018-07-11 15:06:48 UTC
(In reply to Fridolin SOMERS from comment #6)
> Depends on Bug 17893 not in 17.11.x

Ahhhh my mistake, Bug 17893 is in 17.11.x.

Patch pushed to 17.11.x for v17.11.08.
Comment 10 Fridolin Somers 2018-07-11 15:07:19 UTC
Depends on Bug 17893 not in 17.05.x